Bug 446372 - Changing polling time makes "Network & System" sections in the main page blank
Summary: Changing polling time makes "Network & System" sections in the main page blank
Status: REOPENED
Alias: None
Product: plasma-systemmonitor
Classification: Plasma
Component: general (show other bugs)
Version: 5.23.3
Platform: Neon Linux
: NOR normal
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-02 13:07 UTC by Riccardo Robecchi
Modified: 2022-06-16 11:59 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments
Screenshot of the issue (117.75 KB, image/png)
2021-12-02 13:07 UTC, Riccardo Robecchi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Riccardo Robecchi 2021-12-02 13:07:38 UTC
Created attachment 144145 [details]
Screenshot of the issue

SUMMARY
If I change the default polling time of the sections under "Network & System" to anything but the default value, which is "no limit", those sections become blank. They go back to working as intended if I press the "Edit page" button, but then they revert back to the blank state as soon as I close that. The unwanted effect often shows itself after restarting the application, rather than immediately after applying the polling time settings.

STEPS TO REPRODUCE
1. Increase polling time of "networks", "network rates" and "system" from "no limit" to 1 second or more.
2. Restart the application

OBSERVED RESULT
The affected sections are blank.

EXPECTED RESULT
The affected sections show the information as intended.

SOFTWARE/OS VERSIONS
Linux: KDE Neon
KDE Plasma Version: 5.23.3
KDE Frameworks Version:  5.88.0
Qt Version: 5.15.3
Using X11

ADDITIONAL INFORMATION
This behaviour is consistent across all of my three machines (desktop, laptop, tablet).
Comment 1 Nate Graham 2021-12-02 21:19:01 UTC

*** This bug has been marked as a duplicate of bug 445516 ***
Comment 2 Nate Graham 2021-12-02 21:19:21 UTC
Whoops! Wrong bug report, sorry.
Comment 3 Bug Janitor Service 2022-01-28 12:11:00 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/libksysguard/-/merge_requests/213
Comment 4 Nate Graham 2022-01-28 18:28:58 UTC
Git commit f901b29bce33abf0aeea8f33fff14879eadbe2de by Nate Graham, on behalf of Arjen Hiemstra.
Committed on 28/01/2022 at 18:22.
Pushed by ngraham into branch 'master'.

Only rate-limit sensors if we already have a valid value

If we don't yet have a valid value, we should make sure to always update
the value so we can show something valid. Most importantly, this
prevents the value from being empty when the first value update comes in
for a sensor that is static.

M  +2    -1    sensors/Sensor.cpp
M  +1    -1    sensors/SensorDataModel.cpp

https://invent.kde.org/plasma/libksysguard/commit/f901b29bce33abf0aeea8f33fff14879eadbe2de
Comment 5 Nate Graham 2022-01-28 18:32:17 UTC
Git commit 577d21c119a9c19af26ce324fbe88efe630a1d9a by Nate Graham, on behalf of Arjen Hiemstra.
Committed on 28/01/2022 at 18:32.
Pushed by ngraham into branch 'Plasma/5.24'.

Only rate-limit sensors if we already have a valid value

If we don't yet have a valid value, we should make sure to always update
the value so we can show something valid. Most importantly, this
prevents the value from being empty when the first value update comes in
for a sensor that is static.


(cherry picked from commit f901b29bce33abf0aeea8f33fff14879eadbe2de)

M  +2    -1    sensors/Sensor.cpp
M  +1    -1    sensors/SensorDataModel.cpp

https://invent.kde.org/plasma/libksysguard/commit/577d21c119a9c19af26ce324fbe88efe630a1d9a
Comment 6 Riccardo Robecchi 2022-06-16 11:59:46 UTC
The bug is still present as of Plasma 5.25.0, Frameworks 5.95 and Qt 5.15.4.